EDIT - feature request #7620

RegistrationSearch implemented with Reference filter
08/03/2018 01:24 PM - Andreas Kohlbecker

Status: Closed Start date:
Priority: Highest Due date:
Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.8
Severity: normal
Description
¢ Reference (like search with wildcard)
see #7494
Related issues:
Related to EDIT - feature request #8330: RegistrationDao search method Closed
Copied from EDIT - feature request #7494: RegistrationSearch implemented Closed

Associated revisions

Revision 58cbdc8e - 07/01/2019 06:32 PM - Andreas Kohlbecker

ref #7620 filtered registration search implemented with filter string for references

Revision 69fd8336 - 07/01/2019 06:35 PM - Andreas Kohlbecker

ref #7620 rest service /registrationDTO/find with filter string for references

Revision ¢5089cec - 07/02/2019 04:14 PM - Andreas Kohlbecker

ref #7620 reference filter options for the Registration search

History

#1 - 08/03/2018 01:24 PM - Andreas Kohlbecker

- Copied from feature request #7494: RegistrationSearch implemented added

#2 - 09/11/2018 05:01 PM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#3 - 10/17/2018 05:00 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#4 - 01/30/2019 11:31 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#5 - 04/11/2019 05:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#6 - 05/03/2019 03:00 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#7 - 06/07/2019 05:21 PM - Andreas Kohlbecker

- Related to feature request #8330: RegistrationDao search method added

#8 - 06/26/2019 01:47 PM - Andreas Kohlbecker
- Tags changed from phycobank to phycobank, search
https://dev.e-taxonomy.eu/redmine/issues/7494

#9 - 06/27/2019 02:40 PM - Andreas Kohlbecker

- Description updated

#10 - 06/28/2019 01:17 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|384{f2ba6f98d8d869093ff4beOfea7eb81d7ale.

#11 - 07/02/2019 04:14 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

ready for review

#12 - 07/03/2019 09:44 AM - Wolf-Henning Kusber

Field "Publication" available,

search functionality not given.

"Baikal" gives back Baikal-Taxa + African etc. taxa
"smulkowskianus" (not in title) gives back many hits
"Navicula" gives back many titles without "Navicula" in title
"Navicula" same result

#13 - 07/03/2019 12:57 PM - Andreas Kohlbecker

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

The test server was not up to date. The problem which was causing this is fixed now. Please test again.

#14 - 07/03/2019 04:47 PM - Wolf-Henning Kusber

see above. The filter is not working.

With the given search strings all published registrations from new to old are given back.

#15 - 07/04/2019 09:33 AM - Wolf-Henning Kusber
- % Done changed from 50 to 100

Perfectly solved! This enhances the usabiliy of PhycoBank significantly.

Search functionality is available for
strings within a title "Indian", "India", "Germany"
parts of journals or books like "Phytotaxa”, "Willdenowia",

authors like "Jahn", "Abarca", "Zimmermann", "van de Vijver" etc.

ToDo, Henning: FAQ

#16 - 07/04/2019 10:54 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed
